Bug 1552299 (CVE-2018-7589) - CVE-2018-7589 CImg: double free via crafted BMP image in load_bmp in CImg.h
Summary: CVE-2018-7589 CImg: double free via crafted BMP image in load_bmp in CImg.h
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2018-7589
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1552300 1625341
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-06 22:10 UTC by Laura Pardo
Modified: 2019-09-29 14:34 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:16:50 UTC


Attachments (Terms of Use)

Description Laura Pardo 2018-03-06 22:10:31 UTC
An issue was discovered in CImg v.220. A double free in load_bmp in CImg.h occurs when loading a crafted bmp image.


References:
https://github.com/dtschump/CImg/issues/184
https://github.com/xiaoqx/pocs/tree/master/cimg

Comment 1 Laura Pardo 2018-03-06 22:10:50 UTC
Created CImg tracking bugs for this issue:

Affects: fedora-all [bug 1552300]

Comment 2 Scott Gayou 2018-09-04 16:55:28 UTC
Created gmic tracking bugs for this issue:

Affects: fedora-27 [bug 1625341]

Comment 3 Product Security DevOps Team 2019-06-10 10:16:50 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.